unRAID 6 NerdPack - CLI tools (iftop, iotop, screen, kbd, etc.)


jonp

1590 posts in this topic Last Reply

Recommended Posts

hi dmacias,

 

I use Borgbackup to backup my primary unraid server to my backup unraid server...

 

A new tool was written to better automate this:  https://github.com/vesparny/borgjs#configuration

 

It uses nodejs.  Is it possible to have a node.js package added to the Nerd Pack?

 

https://slackbuilds.org/repository/14.1/development/nodejs/

 

Thanks for your help!

 

Done.

Holy cow!!

 

That was quick!

 

Thanks a lot!

 

Sent from my Nexus 6P using Tapatalk

Thanks dmacias,

 

One problem though...the script errors out when installing with npm -i  command...

 

I think it requires nodejs >=4

 

It's this the package?

 

https://slackbuilds.org/repository/14.1/development/nodejs/

 

If it is, could you add it instead when you have time?

 

Thanks again!

 

Sent from my Nexus 6P using Tapatalk

 

 

Link to post
  • Replies 1.6k
  • Created
  • Last Reply

Top Posters In This Topic

Top Posters In This Topic

Popular Posts

From discussion that start in this thread, we decided to create a simple plugin that installs a set of additional command line tools onto your unRAID server.   WARNING:  These tools are for

Lol, are we going to petition the willy wonka company to change the name of their candy too?  I guess its not a big deal to change the name, I just have to laugh at the thought of someone honestly bei

I had the same issue... re-linking/aliasing to the existing libraries (libssl.so.1.1 and libcrypto.so.1.1) fixed the issue. A simple `ls -la` helped me figure out what libraries I had... root@Towe

Posted Images

hi dmacias,

 

I use Borgbackup to backup my primary unraid server to my backup unraid server...

 

A new tool was written to better automate this:  https://github.com/vesparny/borgjs#configuration

 

It uses nodejs.  Is it possible to have a node.js package added to the Nerd Pack?

 

https://slackbuilds.org/repository/14.1/development/nodejs/

 

Thanks for your help!

 

Done.

Holy cow!!

 

That was quick!

 

Thanks a lot!

 

Sent from my Nexus 6P using Tapatalk

Thanks dmacias,

 

One problem though...the script errors out when installing with npm -i  command...

 

I think it requires nodejs >=4

 

It's this the package?

 

https://slackbuilds.org/repository/14.1/development/nodejs/

 

If it is, could you add it instead when you have time?

 

Thanks again!

 

Sent from my Nexus 6P using Tapatalk

Ok I switched to nodejs. Give that one a try.

Link to post

hi dmacias,

 

I use Borgbackup to backup my primary unraid server to my backup unraid server...

 

A new tool was written to better automate this:  https://github.com/vesparny/borgjs#configuration

 

It uses nodejs.  Is it possible to have a node.js package added to the Nerd Pack?

 

https://slackbuilds.org/repository/14.1/development/nodejs/

 

Thanks for your help!

 

Done.

Holy cow!!

 

That was quick!

 

Thanks a lot!

 

Sent from my Nexus 6P using Tapatalk

Thanks dmacias,

 

One problem though...the script errors out when installing with npm -i  command...

 

I think it requires nodejs >=4

 

It's this the package?

 

https://slackbuilds.org/repository/14.1/development/nodejs/

 

If it is, could you add it instead when you have time?

 

Thanks again!

 

Sent from my Nexus 6P using Tapatalk

Ok I switched to nodejs. Give that one a try.

Thanks!

 

That compiled/pulled fine...

 

Still trying to get the script to work correctly though...

 

Thank you!

 

Sent from my Nexus 6P using Tapatalk

 

 

Link to post

The

bind

package seems to download OK but it doesn't install. unRAID 6.2.2; Nerd Tools 2016.10.22

You will have to delete the old package manually. The underscore in the version number was causing problems. I added a newer version and removed the underscore.

Link to post

Thanks. That fixed the installation problem, but there's a dependency that's unresolved:

 

root@Lapulapu:~# dig

dig: error while loading shared libraries: libidnkit.so.1: cannot open shared object file: No such file or directory

 

Same for

host

and

nslookup

.

 

Link to post

Thanks. That fixed the installation problem, but there's a dependency that's unresolved:

 

root@Lapulapu:~# dig

dig: error while loading shared libraries: libidnkit.so.1: cannot open shared object file: No such file or directory

 

Same for

host

and

nslookup

.

I'll have to check it out when I get home. It needs json-c too.

Link to post

Thanks. That fixed the installation problem, but there's a dependency that's unresolved:

 

root@Lapulapu:~# dig

dig: error while loading shared libraries: libidnkit.so.1: cannot open shared object file: No such file or directory

 

Same for

host

and

nslookup

.

I compiled a newer version and added the depends. Give it try.

Link to post

Thanks. That fixed the installation problem, but there's a dependency that's unresolved:

 

root@Lapulapu:~# dig

dig: error while loading shared libraries: libidnkit.so.1: cannot open shared object file: No such file or directory

 

Same for

host

and

nslookup

.

I'll have to check it out when I get home. It needs json-c too.

Sorry, that's my fault.  Old version of rsyslog used json-c but new version now uses libfastjson instead.  I removed json-c from the base os (since nothing else needed it).

Link to post
  • 2 weeks later...

Can we get netcat-openbsd in this kit any time in the future? Both it and its dependency, libbsd, have SlackBuilds scripts available, and I've verified that the latest built from Slack 14.2 runs on unRAID 6.3-rc3.

 

This version of netcat is needed for things like connecting to Unix sockets, which is required to support virt-manager and other libvirt tools connecting using the qemu+ssh protocol, which connects to an ssh session and pipes traffic to the specified Unix socket using netcat.

 

SlackBuilds.org

 

https://slackbuilds.org/repository/14.2/network/netcat-openbsd/

https://slackbuilds.org/repository/14.2/libraries/libbsd/

 

You will need to remove the default nc package before it will let you build netcat-openbsd.

Link to post

Can we get netcat-openbsd in this kit any time in the future? Both it and its dependency, libbsd, have SlackBuilds scripts available, and I've verified that the latest built from Slack 14.2 runs on unRAID 6.3-rc3.

 

This version of netcat is needed for things like connecting to Unix sockets, which is required to support virt-manager and other libvirt tools connecting using the qemu+ssh protocol, which connects to an ssh session and pipes traffic to the specified Unix socket using netcat.

 

SlackBuilds.org

 

https://slackbuilds.org/repository/14.2/network/netcat-openbsd/

https://slackbuilds.org/repository/14.2/libraries/libbsd/

 

You will need to remove the default nc package before it will let you build netcat-openbsd.

I compiled it and tested to work with virt manager. Not sure how to handle the removal of the nc package. If I remove it from the repo, it can't be uninstalled.

Link to post

Maybe leave it as an alternative and make the two mutually exclusive? Also, since one requires removing the other, it may make sense that switching off a package also removepkg:s it from the current running instance, since it would otherwise require a reboot or manual removepkg to get rid of it.

Link to post

unRaid 6.2.4.  Installed Nerdpack a couple days ago and it worked great.  Using SCREEN.  Had to reboot today and now its not working, even though its installed.

 

Screenshot of telnet failing, Nerdpack settings - screen turned on and version.

width=300http://my.jetscreenshot.com/12412/20161112-y5f8-280kb.jpg[/img]

 

What could be causing it to not find screen?

 

Thanks in advance...

Link to post

unRaid 6.2.4.  Installed Nerdpack a couple days ago and it worked great.  Using SCREEN.  Had to reboot today and now its not working, even though its installed.

 

Screenshot of telnet failing, Nerdpack settings - screen turned on and version.

width=300http://my.jetscreenshot.com/12412/20161112-y5f8-280kb.jpg[/img]

 

What could be causing it to not find screen?

 

Thanks in advance...

screen also requires utempter, which is just past the bottom of your screenshot, so we can't tell if it has somehow gotten turned off or not.
Link to post

unRaid 6.2.4.  Installed Nerdpack a couple days ago and it worked great.  Using SCREEN.  Had to reboot today and now its not working, even though its installed.

 

Screenshot of telnet failing, Nerdpack settings - screen turned on and version.

width=300http://my.jetscreenshot.com/12412/20161112-y5f8-280kb.jpg[/img]

 

What could be causing it to not find screen?

 

Thanks in advance...

Only thing I could find about that error is with other linux distros. I booted up 6.2.4 and screen installed and worked.  Check that something else isn't installing another version of screen.  Maybe /boot/extra. The Nerdpack screen is not dependent on libelf. Also, if you were missing utempter you would see that error.

Link to post

I'm not sure if this is the right location, but I'd like to request tcpdump in these tools. It's super useful for determining network issues.

 

I've been installing it manually with installpkg and it seems to work great.

 

Here's the package I've been using:

https://pkgs.org/slackware-14.2/slackware-x86_64/tcpdump-4.7.4-x86_64-1.txz.html

 

Be sure to get a recent version as the older version can't dump from virtual interfaces using Unraid's newer kernel.

 

Link to post

I'm not sure if this is the right location, but I'd like to request tcpdump in these tools. It's super useful for determining network issues.

 

I've been installing it manually with installpkg and it seems to work great.

 

Here's the package I've been using:

https://pkgs.org/slackware-14.2/slackware-x86_64/tcpdump-4.7.4-x86_64-1.txz.html

 

Be sure to get a recent version as the older version can't dump from virtual interfaces using Unraid's newer kernel.

I added it. I've used it before to debug wake on lan packets.

Link to post
  • 2 weeks later...

Hi,

 

I was trying to setup a svn server with Nerd Tools, the svnserve and svnadmin worked great, however, when I was trying to svnsync from another server, I got this error message:

 

svnsync: error while loading shared libraries: libserf-1.so.1: cannot open shared object file: No such file or directory

 

Where can I get the missing libraries ?

Link to post

Hi,

 

I was trying to setup a svn server with Nerd Tools, the svnserve and svnadmin worked great, however, when I was trying to svnsync from another server, I got this error message:

 

svnsync: error while loading shared libraries: libserf-1.so.1: cannot open shared object file: No such file or directory

 

Where can I get the missing libraries ?

I added serf.

Link to post

Hi,

 

I was trying to setup a svn server with Nerd Tools, the svnserve and svnadmin worked great, however, when I was trying to svnsync from another server, I got this error message:

 

svnsync: error while loading shared libraries: libserf-1.so.1: cannot open shared object file: No such file or directory

 

Where can I get the missing libraries ?

I added serf.

 

I don't get it, tried searching for it with command:

 

    find /usr -name '*serf*'

 

got:

 

/usr/src/linux-4.4.30-unRAID/fs_reiserfs_super.patch

/usr/src/linux-4.4.30-unRAID/fs_reiserfs_resize.patch

/usr/local/emhttp/plugins/dynamix/scripts/reiserfs_check

/usr/lib64/libsvn_ra_serf-1.so

/usr/lib64/libsvn_ra_serf-1.so.0

/usr/lib64/libsvn_ra_serf-1.so.0.0.0

/usr/lib64/libsvn_ra_serf-1.la

/usr/lib64/python3.5/sqlite3/test/userfunctions.py

/usr/lib64/python3.5/sqlite3/test/__pycache__/userfunctions.cpython-35.pyc

/usr/lib64/python3.5/sqlite3/test/__pycache__/userfunctions.cpython-35.opt-1.pyc

/usr/lib64/python3.5/sqlite3/test/__pycache__/userfunctions.cpython-35.opt-2.pyc

/usr/lib64/python2.7/sqlite3/test/userfunctions.pyc

/usr/lib64/python2.7/sqlite3/test/userfunctions.py

/usr/lib64/python2.7/sqlite3/test/userfunctions.pyo

/usr/share/pkgconfig/libsvn_ra_serf.pc

 

There seems no serf library, any suggestions ?

Link to post

Hi,

 

I was trying to setup a svn server with Nerd Tools, the svnserve and svnadmin worked great, however, when I was trying to svnsync from another server, I got this error message:

 

svnsync: error while loading shared libraries: libserf-1.so.1: cannot open shared object file: No such file or directory

 

Where can I get the missing libraries ?

I added serf.

 

I don't get it, tried searching for it with command:

 

    find /usr -name '*serf*'

 

got:

 

/usr/src/linux-4.4.30-unRAID/fs_reiserfs_super.patch

/usr/src/linux-4.4.30-unRAID/fs_reiserfs_resize.patch

/usr/local/emhttp/plugins/dynamix/scripts/reiserfs_check

/usr/lib64/libsvn_ra_serf-1.so

/usr/lib64/libsvn_ra_serf-1.so.0

/usr/lib64/libsvn_ra_serf-1.so.0.0.0

/usr/lib64/libsvn_ra_serf-1.la

/usr/lib64/python3.5/sqlite3/test/userfunctions.py

/usr/lib64/python3.5/sqlite3/test/__pycache__/userfunctions.cpython-35.pyc

/usr/lib64/python3.5/sqlite3/test/__pycache__/userfunctions.cpython-35.opt-1.pyc

/usr/lib64/python3.5/sqlite3/test/__pycache__/userfunctions.cpython-35.opt-2.pyc

/usr/lib64/python2.7/sqlite3/test/userfunctions.pyc

/usr/lib64/python2.7/sqlite3/test/userfunctions.py

/usr/lib64/python2.7/sqlite3/test/userfunctions.pyo

/usr/share/pkgconfig/libsvn_ra_serf.pc

 

There seems no serf library, any suggestions ?

 

Did you go in nerd tools and install serf?

Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.